getDeveloper
GET
/v1/developers/{address}
const url = 'https://testnet-rpc.necter.network/v1/developers/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://testnet-rpc.necter.network/v1/developers/exampleParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”address
required
Lowercase EVM address
string
Responses
Section titled “Responses”Public developer profile
Media typeapplication/json
object
address
required
Lowercase EVM address
string
display_name
string | null
developer_type
string | null
bio
string | null
website
string | null
logo
string | null
location
string | null
social
object
twitter
string
discord
string
github
string
telegram
string
email
Owner and operator only
string | null
enrollment
required
object
status
string
submitted_at
integer | null
reviewed_at
integer | null
notes
string | null
verification
required
object
status
string
requested_at
integer | null
reviewed_at
integer | null
projects
integer
miners
integer
joined_at
integer
Example
{ "developer_type": "individual", "enrollment": { "status": "none" }, "verification": { "status": "unverified" }}not_found
Media typeapplication/json
object
error
required
Stable machine code
string
message
required
string
details
object
key
additional properties
any
request_id
required
string
Example generated
{ "error": "example", "message": "example", "details": {}, "request_id": "example"}